<?php
include_once('functions/theme_addfunc.php');
include_once('functions/pagination.php');
include_once('functions/breadcrumbs.php');
//подключаем скрипт вывода виджетов в админке
include (get_template_directory() . '/widgets/widgets.php' ); 

//Регистрируем поддержку WooCommerce нашей темой.
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}
/* Создание сервисных страниц страниц WooCommerce -- создаются по умолчанию но вдруг понадобится

    [woocommerce_cart] – страница корзины товаров
    [woocommerce_checkout] – страница формирования заказа
    [woocommerce_order_tracking] – страница отслеживания заказа
    [woocommerce_my_account] – страница аккаунта

Достаточно создать новую страницу и поместить в неё один из этих шорткодов.
*/

//Меняем обертку для вывода
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
add_action('woocommerce_before_main_content', create_function('', 'echo "<div id=\"shop\">";'), 10);
add_action('woocommerce_after_main_content', create_function('', 'echo "</div>";'), 10);

//Удаляем отзывы о товаре
//remove_action( 'woocommerce_product_tabs', 'woocommerce_product_reviews_tab', 30 );
//remove_action( 'woocommerce_product_tab_panels', 'woocommerce_product_reviews_panel', 30 );
//Удаляем встроенный сайдбар Woo
//remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10);

//Отключить вкладки WooCommerce (отключение табов «описание», «отзывы», «дополнительная информация»)
function woo_remove_product_tab($tabs) {

    //unset( $tabs['description'] );              // Remove the description-описание tab
    //unset( $tabs['reviews'] );                     // Remove the reviews-отзывы tab
    unset( $tabs['additional_information'] );      // Remove дополнительная информация

     return $tabs;
}
add_filter( 'woocommerce_product_tabs', 'woo_remove_product_tab', 98);

//Изменяем количество «сопутствующих товаров»
add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
 function jk_related_products_args( $args ) {
 
$args['posts_per_page'] = 6; // количество "Похожих товаров"
 $args['columns'] = 3; // количество колонок
 return $args;
}
//
function true_remove_category_from_category($cat_url) {
	$cat_url = str_replace('/category', '', $cat_url);
	return $cat_url;
}
add_filter('category_link', 'true_remove_category_from_category', 1, 1);
?>
