

    function euroFormatter(v, axis) {
        return v.toFixed(2);
    }
    
    function doPlot(position,rel) {
        //var str = "";
        //str = rel;
        rel = rel.toString().replace(new RegExp ('cur', 'g'), '');

        $('.button').removeClass('btn-primary');
        $('.button[id=cur'+rel+']').addClass('btn-primary');
        if (rel==1){
            var lbl = 'Доллар США'; 
            var dd = val_1;
            
        }
        else
        {
            if (rel==2) {
                var lbl = 'Евро';
                var dd = val_2;
            }
            else{
                var lbl = 'Российский рубль';
                var dd = val_3;
            }
        }
        
        
        
        $.plot($("#flot-line-chart-multi"), [{
            data: dd,
            label: lbl
        }, 
        ], {
            xaxis: {
                mode: "time",
                minTickSize: [1, "day"],  
                
            },
            yaxis:{
                //min: '300'
                
            },
            xaxes: [{
                mode: 'time',
                
            }],
            yaxes: [{
                tickFormatter: euroFormatter
            }, {
                // align if we are to the right
                alignTicksWithAxis: position == "right" ? 1 : null,
                position: position
            }],
            legend: {
                position: 'sw'
            },
            colors: ["#1ab394"],
            grid: {
                color: "#999999",
                clickable: true,
                tickColor: "#D4D4D4",
                borderWidth:1,
                hoverable: true //IMPORTANT! this is needed for tooltip to work,

            },
            tooltip: true,
            tooltipOpts: {
                
                content: "%s %x - %y тг.",
                xDateFormat: "%0d.%0m.%y",
                onHover: function(flotItem, $tooltipEl) {
                    
                    console.log();
                }
            }

        });
    }

    doPlot("right",1);

    $(".button").click(function() {
        doPlot($(this).text(),$(this).attr('id'));
    });
$("<div id='tooltip'></div>").css({
        position: "absolute",
        display: "none",
        border: "1px solid #fdd",
        padding: "2px",
        "background-color": "#fee",
        opacity: 0.80
}).appendTo("body");
 
$("#flot-line-chart-multi").bind("plothover", function (event, pos, item) {

        var str = "(" + pos.x.toFixed(2) + ", " + pos.y.toFixed(2) + ")";
        $("#hoverdata").text(str);

        if (item) {
                var x = item.datapoint[0].toFixed(2),
                y = item.datapoint[1].toFixed(2);

                x = x - (x%1);
                var dt = new Date(x);
                var d = (d=dt.getDate())<10?('0'+d):d;
                var m = dt.getMonth() + 1;
                var mm = m<10?('0'+m):m;

                $("#tooltip").html(d + "." + mm + " - " + y + " руб.")
                .css({top: item.pageY+5, left: item.pageX+5})
                .fadeIn(200);
        } else {
                $("#tooltip").hide();
        }
});    
    
});