<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Анализ валютных курсов за 1998, 2008, 2014, 2015</title>
<!--[if IE]><script language="javascript" type="text/javascript" src="flot/excanvas.min.js"></script><![endif]-->
<script language="javascript" type="text/javascript" src="flot/jquery-2.1.1.min.js"></script>
<script language="javascript" type="text/javascript" src="flot/jquery.flot.js"></script>
</head>
<body>

<?php

        function grab($page) {
                $ch = curl_init();
                curl_setopt($ch, CURLOPT_URL, $page);
                curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
                curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 0);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 10);

                $data = curl_exec($ch);
                curl_close($ch);
                if ($data)
                        return $data;
                else
                        return FALSE;
        }
        $str = "[";
        $str2 = "[";

        $text = grab("http://www.akm.ru/rus/exrate/exrate1998.htm");
        preg_match_all('@<tr bgColor="white">\\s*+<td align="center">(.*?)</td>\\s*+<td align="right">(.*?)</td>@is', $text, $d98);

        $str = $str."{ label: '1998', data: [";
        $str2 = $str2."{ label: '1998', data: [";
        for ($i = 0; $i < count($d98[0]); $i++) {
                $str = $str.'["'.date("3000/m/d", strtotime(trim($d98[1][$i]))).'",'.str_replace(",", ".", trim($d98[2][$i])).'],';
                $str2 = $str2.'["'.date("3000/m/d", strtotime(trim($d98[1][$i]))).'",'.((str_replace(",", ".", trim($d98[2][$i])) - 6)/6 * 100).'],';
        }
        $str = $str."]},";
        $str2 = $str2."]},";

        $text = grab("http://www.akm.ru/rus/exrate/exrate2008.htm");
        preg_match_all('@<tr bgcolor="white" align="right"><td align="center">(.*?)</td><td>(.*?)</td>@is', $text, $d08);

        $str = $str."{ label: '2008', data: [";
        $str2 = $str2."{ label: '2008', data: [";
        for ($i = 0; $i < count($d08[0]); $i++) {
                $str = $str.'["'.date("3000/m/d", strtotime(trim($d08[1][$i]))).'",'.str_replace(",", ".", trim($d08[2][$i])).'],';
                $str2 = $str2.'["'.date("3000/m/d", strtotime(trim($d08[1][$i]))).'",'.((str_replace(",", ".", trim($d08[2][$i])) - 23)/23 * 100).'],';
        }
        $str = $str."]},";
        $str2 = $str2."]},";

        $text = grab("http://www.akm.ru/rus/exrate/exrate2014.htm");
        preg_match_all('@<tr bgcolor="white" align="right"><td align="center">(.*?)</td><td>(.*?)</td>@is', $text, $d14);

        $str = $str."{ label: '2014', data: [";
        $str2 = $str2."{ label: '2014', data: [";
        for ($i = 0; $i < count($d14[0]); $i++) {
                $str = $str.'["'.date("3000/m/d", strtotime(trim($d14[1][$i]))).'",'.str_replace(",", ".", trim($d14[2][$i])).'],';
                $str2 = $str2.'["'.date("3000/m/d", strtotime(trim($d14[1][$i]))).'",'.((str_replace(",", ".", trim($d14[2][$i])) - 35)/35 * 100).'],';
        }
        $str = $str."]},";
        $str2 = $str2."]},";

        $text = grab("http://www.akm.ru/rus/exrate/exrate2015.htm");
        preg_match_all('@<tr bgcolor="white" align="right"><td align="center">(.*?)</td><td>(.*?)</td>@is', $text, $d15);

        $str = $str."{ label: '2015', data: [";
        $str2 = $str2."{ label: '2015', data: [";
        for ($i = 0; $i < count($d15[0]); $i++) {
                $str = $str.'["'.date("3000/m/d", strtotime(trim($d15[1][$i]))).'",'.str_replace(",", ".", trim($d15[2][$i])).'],';
                $str2 = $str2.'["'.date("3000/m/d", strtotime(trim($d15[1][$i]))).'",'.((str_replace(",", ".", trim($d15[2][$i])) - 35)/35 * 100).'],';
        }
        $str = $str."]},";
        $str2 = $str2."]},";

        $str = $str."]";
        $str2 = $str2."]";

?>
<div id="placeholder" style="width: 90%; height: 300px; float:left;"></div>
<div id="legend" style="float: left; margin-left: 10px;"></div>
<div style="clear: both;"></div>
<br>
<div id="placeholder2" style="width: 90%; height: 300px; float:left;"></div>
<div id="legend2" style="float: left; margin-left: 10px;"></div>
<div style="clear: both;"></div>
<script language="javascript" type="text/javascript">
jQuery.browser = {};
jQuery.browser.mozilla=/mozilla/.test(navigator.userAgent.toLowerCase())&&!/webkit/.test(navigator.userAgent.toLowerCase());
jQuery.browser.webkit=/webkit/.test(navigator.userAgent.toLowerCase());
jQuery.browser.opera=/opera/.test(navigator.userAgent.toLowerCase());
jQuery.browser.msie=/msie/.test(navigator.userAgent.toLowerCase());

var all_data = <?php echo $str ?>;
var all_data2 = <?php echo $str2 ?>;

for(var j = 0; j < all_data.length; ++j) {
 for(var i = 0; i < all_data[j].data.length; ++i)
   all_data[j].data[i][0] = Date.parse(all_data[j].data[i][0]);
}

for(var j = 0; j < all_data2.length; ++j) {
 for(var i = 0; i < all_data2[j].data.length; ++i)
   all_data2[j].data[i][0] = Date.parse(all_data2[j].data[i][0]);
}

var plot_conf = {
 series: {
   lines: {
     show: true,
     lineWidth: 2
   }
 },
 grid: {
   hoverable: true
 },
 xaxis: {
   mode: "time",
   timeformat: "%0d.%0m",
 },
 legend: {
   container: $("#legend")
 }
};

$("<div id='tooltip'></div>").css({
        position: "absolute",
        display: "none",
        border: "1px solid #fdd",
        padding: "2px",
        "background-color": "#fee",
        opacity: 0.80
}).appendTo("body");

$("#placeholder").bind("plothover", function (event, pos, item) {

        var str = "(" + pos.x.toFixed(2) + ", " + pos.y.toFixed(2) + ")";
        $("#hoverdata").text(str);

        if (item) {
                var x = item.datapoint[0].toFixed(2),
                y = item.datapoint[1].toFixed(2);

                x = x - (x%1);
                var dt = new Date(x);
                var dd = (d=dt.getDate())<10?('0'+d):d;
                var m = dt.getMonth() + 1;
                var mm = m<10?('0'+m):m;

                $("#tooltip").html(dd + "." + mm + " - " + y + " руб.")
                .css({top: item.pageY+5, left: item.pageX+5})
                .fadeIn(200);
        } else {
                $("#tooltip").hide();
        }
});

$("#placeholder2").bind("plothover", function (event, pos, item) {

        var str = "(" + pos.x.toFixed(2) + ", " + pos.y.toFixed(2) + ")";
        $("#hoverdata").text(str);

        if (item) {
                var x = item.datapoint[0].toFixed(2),
                y = item.datapoint[1].toFixed(2);

                x = x - (x%1);
                var dt = new Date(x);
                var dd = (d=dt.getDate())<10?('0'+d):d;
                var m = dt.getMonth() + 1;
                var mm = m<10?('0'+m):m;

                $("#tooltip").html(dd + "." + mm + " - " + y + " %")
                .css({top: item.pageY+5, left: item.pageX+5})
                .fadeIn(200);
        } else {
                $("#tooltip").hide();
        }
});

$.plot($("#placeholder"), all_data, plot_conf);
$.plot($("#placeholder2"), all_data2, plot_conf);

var legend = document.getElementById('legend');
var legend2 = document.getElementById('legend2');
var legend_tbl = legend.getElementsByTagName('table')[0];
var legend_html = '<table style="font-size: smaller; color: rgb(84, 84, 84);"><tbody>';
for(var i = 0; i < legend_tbl.rows.length; i++) {
  legend_html += '<tr>'
    + legend_tbl.rows[i].innerHTML
    + '</tr>';
}
legend_html += "</tbody></table>";
legend.innerHTML = legend_html;
legend2.innerHTML = legend_html;
</script>
</body>
</html>