<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package adaptiv-liht-one
 */
 date_default_timezone_set("Asia/Almaty");
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title><?php  bloginfo('name'); wp_title(); ?></title>

<link rel="alternate" type="application/rss+xml" title="<?php  printf(__('%s RSS Feed'), get_bloginfo('name')); ?>" href="<?php  bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php  printf(__('%s Atom Feed'), get_bloginfo('name')); ?>" href="<?php  bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php  bloginfo('pingback_url'); ?>" />
<link rel="stylesheet" href="<?php  bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php  echo get_template_directory_uri(); ?>/css/addstyle.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php  echo get_template_directory_uri(); ?>/css/adaptiv.css" type="text/css" media="screen" />
<script src="<?php  echo get_template_directory_uri(); ?>/js/jquery-2.1.1.min.js"></script>
	<script>
		jQuery(function() {
			var pull 		= jQuery('.pull');
				menu 		= jQuery('nav ul');
				menuHeight	= menu.height();

			jQuery(pull).on('click', function(e) {
				e.preventDefault();
				menu.slideToggle();
			});

			jQuery(window).resize(function(){
        		var w = jQuery(window).width();
        		if(w > 640 && menu.is(':hidden')) {
        			menu.removeAttr('style');
        		}
    		});
		});
	</script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.maskedinput.js"></script>
<script src="<?php  echo get_template_directory_uri(); ?>/js/ajax.js"></script>
<!-- [if lt IE 9]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->
<?php  wp_head(); ?>
</head>
<body>
<div id="popup-mask"></div>
<a class="ykor" name="top"></a>
<div id="preload">
<img src="<?php echo get_template_directory_uri(); ?>/img/logo.png" alt="logo2">
</div>
<div id="zayvka">
<div class="fancy_close"></div>
<form method="post" id="messagform" >
<input type="text" name="head" id="headmes" value="ОСТАВИТЬ ЗАЯВКУ" readonly>
<p>Имя:</p>
<input type="text" required="" placeholder="Ф.И.О." name="name" value="">
<p>E-mail:</p>
<input type="email" required="" placeholder="ваш e-mail" name="email" value="">
<p>Коментарий (не обязательно)</p>
<textarea name="messag"  placeholder="Коментарий (не обязательно)" cols="40" rows="5" ></textarea>
<input type="submit" class="sub" value="Отправить">
</form>
</div>
<div id="mesform">
<img src="<?php echo get_template_directory_uri(); ?>/img/icon/galka.png" alt="galka" />
<h3>Спасибо.</h3>
<p id="textform"></p>
<input type="button" value="Закрыть" class="closf"/>
</div>
<div class="wrapper">
	<header class="headr"> 
  <div id="headerlogo" class="blok4">
  <?php if((is_front_page()) and (!is_paged())) { ?>
      <img src="<?php  bloginfo('stylesheet_directory'); ?>/img/logo.png" alt="logo">
	  <div class="bigtxt">kurs-tenge.kz</div>
	  <div class="txt">Курс тенге на сегодня</div>
  <?php } else { ?>
    <a href="<?php  echo get_home_url(); ?>/"><img src="<?php  bloginfo('stylesheet_directory'); ?>/img/logo.png" alt="logo">
		  <div class="bigtxt">kurs-tenge.kz</div>
	  <div class="txt">Курс тенге на сегодня</div>
	</a>
	<?php } ?>
  </div>
<?php include('inc/aboutfirm.php'); ?>
<div id="partners">
<div class="butgreen">
<a href="/kyrsvalut/partnery/">Добавьте обменник<br><br>БЕСПЛАТНО</a>
</div>
<div class="butgreen">
<a target="_blank" href="https://kurs-tenge.kz/wp-content/themes/adaptiv-liht-two24/add-bd-data/login.php">Вход партнерам</a>
</div>
</div>
<div class="clearfix"></div>
<nav class="clearfix" style="margin:10px auto 0;">
<?php  wp_nav_menu('menu=top'); ?>
<a href="#" class="pull">Меню</a>
</nav>  	  
	</header><!-- .header-->
	<div class="middle">
<?php if (function_exists('dimox_breadcrumbs')) dimox_breadcrumbs(); ?>
