<script src="<?php  echo get_template_directory_uri(); ?>/js/jquery.flot.js"></script>
<script src="<?php  echo get_template_directory_uri(); ?>/js/jquery.flot.navigate.min.js"></script>
<script src="<?php  echo get_template_directory_uri(); ?>/js/jquery.flot.selection.js"></script>
<div id="grafik">
    <div id="placeholder"style="height:300px"></div>
    <div style="clear: both;"></div>
    <div id="overview" style="width:98%;height:50px"></div>
      <div id="legend"></div>
	  <div id="viborvalut">
		<div class='butvibor button' id="eur">EUR</div>
		<div class='button butvibor' id="usd">USD</div>
		<div class='button butvibor' id="cny">CNY</div>
		<div class='button butvibor' id="rub">RUB</div>
	</div>
		<div class='button' id="zoomin">&nbsp;+&nbsp;</div>
		<div class='button' id="zoomout">&nbsp;-&nbsp;</div>
      <div class='button' onclick="switch_show(); return false;">Сменить вид</div>
	<div id="vibordate">
		<button class="button" id="week">Неделя</button>
		<button class="button" id="mon">Месяц</button>
		<button class="button" id="quarter">Квартал</button>
		<button class="button" id="year">Год</button>
		<button class="button" id="whole">Все время</button>
	</div>
</div>
<div class="clearfix"></div>
<?php
$valnam=array();
$alldata='';
function getgrafiks($ar){
	if(count($ar)>1){echo '<style>#grafik .butvibor{display:inline-block;}</style>';}
	global $alldata;
	$colors=array("#EDC240","#340869","#CB4B4B","#4DA74D");
  for($i=0;$i<count($ar);$i++){
  $valnam[$i]=file_get_contents(TEMPLATEPATH.'/inc/valytarrau/'.$ar[$i].'.txt');
  $alldata.='{label: "'.$ar[$i].'", color:"'.$colors[$i].'", data:['.$valnam[$i].']},';
  }
$datew = new DateTime();
$diapweek=$datew->modify('-7 day');
$datem = new DateTime();
$diapmon=$datem->modify('-1 month');
$datekv = new DateTime();
$diapkvart=$datekv->modify('-4 month');
$date = new DateTime();
$date->format('Y/m/d');
$diapyear=$date->modify('-1 year');
//echo $diapmon->format('Y/m/d');
//echo $diapyear->format('Y/m/d');
?>
<script language="javascript" type="text/javascript">
// выделенная область
var selection = ["2015/10/11", new Date("<?php echo date('Y/m/d');?>")];
// все данные
// цвета задавать обязательно, иначе они будут все время меняться при удалении/добавлении рядов 
var all_data = [<?php echo $alldata;?>];

// какие данные скрываем - заполняем позже
var hide = [];
// преобразуем даты в формат, понятный Flot'у
for(var j = 0; j < all_data.length; ++j) {
  hide.push(false); // не скрываем j-ый ряд. пока что.
  for(var i = 0; i < all_data[j].data.length; ++i){
    all_data[j].data[i][0] = Date.parse(all_data[j].data[i][0]);
	//console.log(all_data[j].data[i][0]);
	}
}
for(var i = 0; i < selection.length; ++i)
  selection[i] = Date.parse(selection[i]);

var overview; // "обзор" всех данных внизу страницы
var plot; // график крупным планом
var show_bars = false; // показывать столбики или линии
var plot_conf = {
  series: {
    stack: null,//переменная для переключателя вида графиков
    lines: { 
      show: true,
      lineWidth: 2 
    }
  },
 grid: {
   hoverable: true
 },
  xaxis: {
    mode: "time",
    timeformat: "%y/%m/%d",
    min: selection[0],
    max: selection[1],
	zoomRange: [0.1, 900],
	panRange: [0, 900]
	//ticks:7,//сетка кол-во дат
  },
  yaxis: { zoomRange: [0.1, 900], panRange: [0, 900] },
  zoom: {
	interactive: true
		},
   pan: {
	interactive: false
	},
  legend: {
    container: $("#legend")
  }
};

var overview_conf = {
  series: {
    lines: { 
      show: true,
      lineWidth: 1
    },
    shadowSize: 0
  },
  xaxis: {
    ticks: []
  },
  yaxis: {
    ticks: []
  },
  selection: {
    mode: "x"
  }, 
  legend: {
    show: false
  }
};

// меняем вид - столбики или линии
function switch_show() {
  show_bars = !show_bars; // изменяем тип диаграм

  var new_conf = {
    series: {
      stack: show_bars ? true : null,
      lines: { show: !show_bars },
      bars: { show: show_bars }
    }
  };
  // обновляем конфиг
  $.extend(true, plot_conf, new_conf);
  $.extend(true, overview_conf, new_conf);
  // перерисовываем
  redraw();
}

// перерисовываем все и вся :)
function redraw() {
  var data = [];
  for(var j = 0; j < all_data.length; ++j){
    if(!hide[j]){
      data.push(all_data[j]);
	}
  }
  plot = $.plot($("#placeholder"), data, plot_conf);
  overview = $.plot($("#overview"), data, overview_conf);
  // легенду рисуем только один раз
  plot_conf.legend.show = false;
  // устанавливаем выделенную область
  overview.setSelection({ x1: selection[0], x2: selection[1] }, true);
}
var num;
// вычисляем ширину колонки в соответствии с новой областью выделения
function calc_bar_width() {
	if(num==null){num=0;}
	console.log("num=="+num);
  // поскольку по оси OX откладывается время,
  // ширина столбцов в гистограмме вычисляется в 1/1000-ых секунды
  // при масштабировании эту величину следует пересчитать
  var r = plot_conf.xaxis;
//console.log("rmax-min="+r.max +"-"+ r.min);//только для одиночного графика all_data[0]
var ymax=0;
var ymin=0;
var ar=[];
  for(var i = 0; i < all_data[num].data.length; i++){
	  var curdat=all_data[num].data[i][0];
      //console.log(all_data[0].data[i][1]+"i="+i);
	  if(curdat=>r.max){ymax=all_data[num].data[i][1];}
	  if(curdat<=r.min){ymin=all_data[num].data[i][1];}
	  ar[i]=all_data[num].data[i][1];
  }
Array.max = function( array ){
    return Math.max.apply( Math, array );
};

Array.min = function( array ){
    return Math.min.apply( Math, array );
};
if(ymin==0){
ymax=Array.max(ar);
ymin=Array.min(ar);
}
ymax=(ymax+(ymax/10)).toFixed(2);
ymin=(ymin-(ymin/10)).toFixed(2);
console.log(ymax +"-"+ ymin);
  // вычисляем, сколько столбцов попало в интервал
  var bars_count = 0;
  for(var i = 0; i < all_data[0].data.length; ++i)
    if(all_data[0].data[i][0] >= r.min &&
       all_data[0].data[i][0] <= r.max)
       bars_count++;

  // изменяем ширину столбцов
  var new_conf = {
    series: {
      bars: { // умножаем на два, чтобы оставалось место между столбцами
        barWidth: (r.max - r.min)/((bars_count + 1 /* на ноль не делим */) * 2) 
      }
    },ticks:5, yaxis: {max: ymax, min: ymin } 
  };
  $.extend(true, plot_conf, new_conf);
}
// вычисляем ширину столбцов в гистограмме
calc_bar_width();
// рисуем графики в первый раз
redraw();

// событие - новое выделение на overview    
$("#overview").bind("plotselected", function (event, ranges) {
  var r = ranges.xaxis;
  // сохраняем координаты выделенной области
  selection = [r.from, r.to];
//alert(selection);
  // перемещаем обзор в новую область
  var new_conf = {
    xaxis: {
      min: r.from,
      max: r.to
    }
  };
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
});

// рисуем чекбоксы в легенде
var legend = document.getElementById('legend'); // еще IE не умеет заменять innerHTML в table
var legend_tbl = legend.getElementsByTagName('table')[0];
var legend_html = '<table><tbody><tr>';
for(var i = 0; i < legend_tbl.rows.length; i++) {
  legend_html +=
    '<td><input type="checkbox" id="ch'+i+'" onclick="hide['+ i +']=!hide['+ i +'];redraw();" checked="1"></td>'
    + legend_tbl.rows[i].innerHTML;
}
legend_html += "</tr></tbody></table>";
legend.innerHTML = legend_html;

//подсказка
$("<div id='tooltip'></div>").css({
        position: "absolute",
        display: "none",
        border: "1px solid #fdd",
        padding: "2px",
        "background-color": "#fee",
        opacity: 0.90
}).appendTo("body"); 

$("#placeholder").bind("plothover", function (event, pos, item) {
        var str = "(" + pos.x.toFixed(2) + ", " + pos.y.toFixed(2) + ")";
        $("#hoverdata").text(str);

        if (item) {
                var x = item.datapoint[0].toFixed(2),
                y = item.datapoint[1].toFixed(2);

                x = x - (x%1);
                var dt = new Date(x);
                var d = (d=dt.getDate())<10?('0'+d):d;
                var m = dt.getMonth() + 1;
                var mm = m<10?('0'+m):m;

                $("#tooltip").html(d + "." + mm + " - " + y + " руб.")
                .css({top: item.pageY+25, left: item.pageX+15})
                .fadeIn(200);
        } else {
                $("#tooltip").hide();
        }
});

$(function () {
//за все время
$("#whole").click(function () {
$('#vibordate .button').removeClass('btn-primary');
$(this).addClass('btn-primary');
  var new_conf = {
    xaxis: {
    min: (new Date("2014/10/28")).getTime(),
    max: (new Date("<?php echo date('Y/m/d');?>")).getTime()
    }
  };
  selection = [new_conf.xaxis.min, new_conf.xaxis.max];
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
});
	
/*за год*/
$("#year").click(function () {
$('#vibordate .button').removeClass('btn-primary');
$(this).addClass('btn-primary');
  var new_conf = {
    xaxis: {
            min: (new Date("<?php echo $diapyear->format('Y/m/d');?>")).getTime(),
            max: (new Date("<?php echo date('Y/m/d');?>")).getTime()
    }
  };
  selection = [new_conf.xaxis.min, new_conf.xaxis.max];
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
 
});

//quarter
$("#quarter").click(function () {
$('#vibordate .button').removeClass('btn-primary');
$(this).addClass('btn-primary');
  var new_conf = {
    xaxis: {
            min: (new Date("<?php echo $diapkvart->format('Y/m/d');?>")).getTime(),
            max: (new Date("<?php echo date('Y/m/d');?>")).getTime()
    }
  };
  selection = [new_conf.xaxis.min, new_conf.xaxis.max];
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
});
//mon
$("#mon").click(function (v) {
$('#vibordate .button').removeClass('btn-primary');
$(this).addClass('btn-primary');
  var new_conf = {
    xaxis: {
            min: (new Date("<?php echo $diapmon->format('Y/m/d');?>")).getTime(),
            max: (new Date("<?php echo date('Y/m/d');?>")).getTime(),
			ticks:5
    }
  };
  selection = [new_conf.xaxis.min, new_conf.xaxis.max];
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
});
//week
$("#week").click(function () {
$('#vibordate .button').removeClass('btn-primary');
$(this).addClass('btn-primary');
  var new_conf = {
    xaxis: {
            min: (new Date("<?php echo $diapweek->format('Y/m/d');?>")).getTime(),
            max: (new Date("<?php echo date('Y/m/d');?>")).getTime()
    }//, yaxis: {max: 5.8, min: 5.73 } 
  };
  selection = [new_conf.xaxis.min, new_conf.xaxis.max];
  $.extend(true, plot_conf, new_conf);
  calc_bar_width();
  redraw();
});

$("#eur").click(function () {
num=0;
$("#grafik input:checkbox:checked").click();
$('.butvibor').removeClass('btn-primary');
$(this).addClass('btn-primary');
setTimeout(function() {
$('#grafik #ch0').click();
calc_bar_width();
redraw();
}, 500);
});
$("#usd").click(function () {
num=1;
$('.butvibor').removeClass('btn-primary');
$(this).addClass('btn-primary');
var elch=$('#grafik input[type="checkbox"]');
$("#grafik input:checkbox:checked").click();
setTimeout(function() {
$('#grafik #ch1').click();
calc_bar_width();
redraw();
}, 500);
});
$("#cny").click(function () {
num=2;	
$('.butvibor').removeClass('btn-primary');
$(this).addClass('btn-primary');
$("#grafik input:checkbox:checked").click();
setTimeout(function() {
$('#grafik #ch2').click();
calc_bar_width();
redraw();
}, 500);
});
$("#rub").click(function () {
num=3;
$('.butvibor').removeClass('btn-primary');
$(this).addClass('btn-primary');
$("#grafik input:checkbox:checked").click();
setTimeout(function() {
$('#grafik #ch3').click();
calc_bar_width();
redraw();
}, 500);
});

//add function
$("#zoomin").click(function (event) {
event.preventDefault();
plot.zoom();
});
$("#zoomout").click(function (event) {
event.preventDefault();
plot.zoomOut();
});


$("#week").click();


});
</script>
<style type="text/css">
#viborvalut {
float: left;	
}
#vibordate {
float: right;
}
.butvibor{display:none;}
//.headr,.content_converter,.breadcrumbs,.post-title {display:none;}
.tickLabel {
//transform: rotate(30deg);
//margin: 20px 0 0 0;
}
#legend {
float: left;
margin: 0 20px 0 0;	
}
#legend table {
font-size: smaller;
color: rgb(84, 84, 84);
display: none;	
}
#legend td.legendLabel {
padding: 0 25px 0 0;	
}
#placeholder {
}
#overview {
margin: 30px auto 10px;
float: right;
}
</style>

<?php }//end function ?>